aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Titus <[email protected]>2021-10-24 08:27:56 -0500
committerChris Titus <[email protected]>2021-10-24 08:27:56 -0500
commit32357bc68c70ad1f062b90d5174d8521f99ef3a3 (patch)
tree1ecf1fba154a8b4d9032ddf07b443270a2b06603
parentf9443ecb14686f29c525aac9c1d40d4135ea9961 (diff)
downloadArchTitus-32357bc68c70ad1f062b90d5174d8521f99ef3a3.tar.xz
ArchTitus-32357bc68c70ad1f062b90d5174d8521f99ef3a3.zip
error checks
-rwxr-xr-x0-preinstall.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/0-preinstall.sh b/0-preinstall.sh
index 041d175..e0628f2 100755
--- a/0-preinstall.sh
+++ b/0-preinstall.sh
@@ -26,6 +26,9 @@ echo -e " ██╔══██║██╔══██╗██║ ██�
echo -e " ██║ ██║██║ ██║╚██████╗██║ ██║ ██║ ██║ ██║ ╚██████╔╝███████║"
echo -e " ╚═╝ ╚═╝╚═╝ ╚═╝ ╚═════╝╚═╝ ╚═╝ ╚═╝ ╚═╝ ╚═╝ ╚═════╝ ╚══════╝"
echo -e "-------------------------------------------------------------------------"
+echo -e "-Setting up $iso mirrors for faster downloads"
+echo -e "-------------------------------------------------------------------------"
+
reflector -a 48 -c $iso -f 5 -l 20 --sort rate --save /etc/pacman.d/mirrorlist
mkdir /mnt
@@ -80,6 +83,12 @@ ls /mnt | xargs btrfs subvolume delete
btrfs subvolume create /mnt/@
umount /mnt
;;
+*)
+echo "Rebooting in 3 Seconds ..." && sleep 1
+echo "Rebooting in 2 Seconds ..." && sleep 1
+echo "Rebooting in 1 Second ..." && sleep 1
+reboot now
+;;
esac
# mount target
@@ -88,6 +97,14 @@ mkdir /mnt/boot
mkdir /mnt/boot/efi
mount -t vfat -L UEFISYS /mnt/boot/
+if ! grep -qs '/mnt' /proc/mounts; then
+ echo "Drive is not mounted can not continue"
+ echo "Rebooting in 3 Seconds ..." && sleep 1
+ echo "Rebooting in 2 Seconds ..." && sleep 1
+ echo "Rebooting in 1 Second ..." && sleep 1
+ reboot now
+fi
+
echo "--------------------------------------"
echo "-- Arch Install on Main Drive --"
echo "--------------------------------------"